window.CameraZoom = cc.Class({
name: "CameraZoom",
extends: cc.ActionInterval,
__ctor__: function(t, o) {
this._startZoomRatio = 1;
this._endZoomRatio = 0;
this._deltaZoomRatio = 0;
void 0 !== o && CameraZoom.prototype.initWithDuration.call(this, t, o);
},
initWithDuration: function(t, o) {
if (cc.ActionInterval.prototype.initWithDuration.call(this, t)) {
this._endZoomRatio = o;
return !0;
}
return !1;
},
clone: function() {
var t = new cc.ScaleTo();
this._cloneDecoration(t);
t.initWithDuration(this._duration, this._endZoomRatio);
return t;
},
startWithTarget: function(t) {
cc.ActionInterval.prototype.startWithTarget.call(this, t);
this._startZoomRatio = t.getComponent(cc.Camera).zoomRatio;
this._deltaZoomRatio = this._endZoomRatio - this._startZoomRatio;
},
update: function(t) {
t = this._computeEaseTime(t);
this.target && (this.target.getComponent(cc.Camera).zoomRatio = this._startZoomRatio + this._deltaZoomRatio * t);
}
});

window.javaCallback = function(t, o) {
console.log(t);
cc.director.emit(t, o);
};